sysdecode_cmsg_type(3)

NAME
sysdecode_cmsg_type - lookup name of cmsg type

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <sysdecode.h>
const char *
sysdecode_cmsg_type(int cmsg_level, int cmsg_type);

DESCRIPTION
The sysdecode_cmsg_type() function returns a text description of the cmsg_type member of a struct cmsghdr. sysdecode_cmsg_type() also takes the cmsg_level to uniquely identify the type.

SEE ALSO
sysdecode(3)